BSON_GET_MONOTONIC_TIME(3)

NAME
bson_get_monotonic_time - System Clock

BSON Clock Abstraction

SYNOPSIS

int64_t
bson_get_monotonic_time (void);
int
bson_gettimeofday (struct timeval *tv,
                   struct timezone *tz);

DESCRIPTION

The clock abstraction in Libbson provides a cross-platform way to handle timeouts within the BSON library. It abstracts the differences in implementations of gettimeofday() as well as providing a monotonic (incrementing only) clock in microseconds.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc